COMM(1)

NAME
comm - Compare two sorted files line by line. When FILE1 or FILE2 (not both) is -, read standard input. With no options, produce three-column output. Column one contains lines unique to FILE1, column two contains lines unique to FILE2, and column three contains lines common to both files.

SYNOPSIS
comm [-1 ] [-2 ] [-3 ] [--output-delimiter] [-z|--zero-terminated] [--total] [--check-order] [--nocheck-order] [-h|--help] [-V|--version] <FILE1> <FILE2>

DESCRIPTION
Compare two sorted files line by line.

When FILE1 or FILE2 (not both) is -, read standard input.

With no options, produce three-column output. Column one contains lines unique to FILE1, column two contains lines unique to FILE2, and column three contains lines common to both files.

OPTIONS

-1  suppress column 1 (lines unique to FILE1)

-2  suppress column 2 (lines unique to FILE2)

-3  suppress column 3 (lines that appear in both files)

--output-delimiter <STR>
    separate columns with STR

-z, --zero-terminated
    line delimiter is NUL, not newline

--total
    output a summary

--check-order
    check that the input is correctly sorted, even if all input lines are pairable

--nocheck-order
    do not check that the input is correctly sorted

-h, --help
    Print help

-V, --version
    Print version

<FILE1>

<FILE2>

EXTRA
## Examples Produce three tab-separated columns: lines only in first file, lines only in second file, and common lines: comm {{file1}} {{file2}} Print only lines common to both files: comm -12 {{file1}} {{file2}} Print only lines common to both files, reading one file from `stdin`: cat {{file1}} | comm -12 - {{file2}} Get lines only found in first file, saving the result to a third file: comm -23 {{file1}} {{file2}} > {{file1_only}} Print lines only found in second file, when the files aren't sorted: comm -13 <(sort {{file1}}) <(sort {{file2}}) > The examples are provided by the [tldr-pages project](https://tldr.sh) under the [CC BY 4.0 License](https://github.com/tldr-pages/tldr/blob/main/LICENSE.md). > > Please note that, as uutils is a work in progress, some examples might fail.

VERSION
v(uutils coreutils) 0.10.0